<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper
        PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.jeeplus.pubmodules.editor.mapper.EditorFilesMapper">

    <resultMap id="BaseResultMap" type="com.jeeplus.pubmodules.editor.service.dto.EditorFilesDTO">
            <id property="id" column="id" jdbcType="VARCHAR"/>
            <result property="createBy.id" column="create_by" jdbcType="VARCHAR"/>
            <result property="createTime" column="create_date" jdbcType="TIMESTAMP"/>
            <result property="updateBy.id" column="update_by" jdbcType="VARCHAR"/>
            <result property="updateTime" column="update_date" jdbcType="TIMESTAMP"/>
            <result property="delFlag" column="del_flag" jdbcType="INTEGER"/>
            <result property="remarks" column="remarks" jdbcType="VARCHAR"/>
            <result property="sourceId" column="source_id" jdbcType="VARCHAR"/>
            <result property="temporaryUrl" column="temporary_url" jdbcType="VARCHAR"/>
            <result property="url" column="url" jdbcType="VARCHAR"/>
    </resultMap>

    <sql id="Base_Column_List">
        ef.id,
        ef.create_by,
        ef.create_time,
        ef.update_by,
        ef.update_time,
        ef.del_flag,
        ef.remarks,
        ef.source_id,
        ef.temporary_url,
        ef.url
    </sql>
</mapper>
